%define name   		Not2Complex
%define version		2.0
%define release		%mkrel 1
%define summary		Simple GUI for common commands

Name:			%{name} 
Summary:	       	%{summary}
Version:	    	%{version} 
Release:	    	%{release} 
Vendor:         	%{vendor}
URL:			http://plekzondernaam.wordpress.com/not2complex/
License:        	Unknown
Group:          	Tools
Packager:       	%{packager}

Source0:        	%{name}.zip
Requires: 		pango

BuildRoot:      	%{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
Not2Complex is a program to execute commands that you would normally execute in a terminal.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}

%build

%install
rm -rf %{buildroot}

%{__install} -D -m0755 Not2Complex %{buildroot}%{_bindir}/%{name}
%{__install} -D -m0644 lsi.lst %{buildroot}/etc/n2c/lsi.lst
%{__install} -D -m0644 n2clogoom1.png %{buildroot}%{_datadir}/icons/n2clogoom1.png

### MENU ITEM ###
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/icons/n2clogoom1.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;TerminalEmulator
EOF

%post
%update_menus

%postun
%clean_menus

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root)
%{_datadir}/applications/%{name}.desktop
%{_bindir}/Not2Complex
%{_datadir}/icons/n2clogoom1.png
/etc/n2c/lsi.lst

%changelog 
*Mon Mar 31 2008 Dal Magro Maurizio <dalmagro@scarlet.be> 2.0
A more pro install layout.

*Sun Mar 30 2008 Dal Magro Maurizio <dalmagro@scarlet.be> 1.0
RPM for RvP.
